net.sf.jasperreports.engine

## Interface JRChartPlot

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable
  All Known Subinterfaces:
    JRAreaPlot, JRBar3DPlot, JRBarPlot, JRBubblePlot, JRCandlestickPlot, JRCategoryPlot, JRHighLowPlot, JRLinePlot, JRMeterPlot, JRMultiAxisPlot, JRPie3DPlot, JRPiePlot, JRScatterPlot, JRThermometerPlot, JRTimeSeriesPlot
  All Known Implementing Classes:
    JRBaseAreaPlot, JRBaseBar3DPlot, JRBaseBarPlot, JRBaseBubblePlot, JRBaseCandlestickPlot, JRBaseChartPlot, JRBaseHighLowPlot, JRBaseLinePlot, JRBaseMeterPlot, JRBaseMultiAxisPlot, JRBasePie3DPlot, JRBasePiePlot, JRBaseScatterPlot, JRBaseThermometerPlot, JRBaseTimeSeriesPlot, JRDesignAreaPlot, JRDesignBar3DPlot, JRDesignBarPlot, JRDesignBubblePlot, JRDesignCandlestickPlot, JRDesignHighLowPlot, JRDesignLinePlot, JRDesignMeterPlot, JRDesignMultiAxisPlot, JRDesignPie3DPlot, JRDesignPiePlot, JRDesignScatterPlot, JRDesignThermometerPlot, JRDesignTimeSeriesPlot, JRFillAreaPlot, JRFillBar3DPlot, JRFillBarPlot, JRFillBubblePlot, JRFillCandlestickPlot, JRFillChartPlot, JRFillHighLowPlot, JRFillLinePlot, JRFillMeterPlot, JRFillMultiAxisPlot, JRFillPie3DPlot, JRFillPiePlot, JRFillScatterPlot, JRFillThermometerPlot, JRFillTimeSeriesPlot

      public interface JRChartPlot
      extends JRCloneable

  Chart plots define chart appearance and display details such as colors, legend or labels. Each plot may have different characteristics, depending on the chart type it belongs to. This is the superinterface for all plots and contains common properties.
  Version:
    $Id: JRChartPlot.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JRChartPlot.JRSeriesColor`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSeriesColor(JRChartPlot.JRSeriesColor seriesColor)` Adds the specified series color to the plot.
    `void` | `clearSeriesColors()` Removes all defined series colors.
    `java.lang.Object` | `clone(JRChart parentChart)`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `java.awt.Color` | `getBackcolor()` Gets the chart background color.
    `java.lang.Float` | `getBackgroundAlphaFloat()` Gets the transparency factor for this plot background.
    `JRChart` | `getChart()` Gets the chart associated with this chart plot, if available.
    `java.lang.Float` | `getForegroundAlphaFloat()` Gets the transparency factor for this plot foreground.
    `java.lang.Double` | `getLabelRotationDouble()` Deprecated. Replaced by `JRCategoryAxisFormat.getCategoryAxisTickLabelRotation()`.
    `org.jfree.chart.plot.PlotOrientation` | `getOrientation()` Deprecated. Replaced by `getOrientationValue()`.
    `PlotOrientationEnum` | `getOrientationValue()` Gets the plot orientation (horizontal or vertical).
    `java.awt.Color` | `getOwnBackcolor()`
    `java.util.SortedSet<JRChartPlot.JRSeriesColor>` | `getSeriesColors()` Returns a list of all the defined series colors.
    `void` | `setBackcolor(java.awt.Color backcolor)` Sets the chart background color.
    `void` | `setBackgroundAlpha(java.lang.Float backgroundAlpha)` Sets the transparency factor for this plot background.
    `void` | `setForegroundAlpha(java.lang.Float foregroundAlpha)` Sets the transparency factor for this plot foreground.
    `void` | `setLabelRotation(java.lang.Double labelRotation)` Deprecated. Replaced by `JRCategoryAxisFormat.setCategoryAxisTickLabelRotation(Double)`.
    `void` | `setOrientation(org.jfree.chart.plot.PlotOrientation orientation)` Deprecated. Replaced by `setOrientation(PlotOrientationEnum)`.
    `void` | `setOrientation(PlotOrientationEnum orientation)` Sets the plot orientation (horizontal or vertical).
    `void` | `setSeriesColors(java.util.Collection<JRChartPlot.JRSeriesColor> colors)` Set the list of series colors.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getChart

          JRChart getChart()

      Gets the chart associated with this chart plot, if available. Implementations can return null on this method, especially if the chart plot is reused by multiple charts, which is not recommended since it prevents style properties inheritence from parent chart.

    - #### getBackcolor

          java.awt.Color getBackcolor()

      Gets the chart background color.

    - #### getOwnBackcolor

          java.awt.Color getOwnBackcolor()

    - #### setBackcolor

          void setBackcolor(java.awt.Color backcolor)

      Sets the chart background color.

    - #### getOrientation

          org.jfree.chart.plot.PlotOrientation getOrientation()

      Deprecated. Replaced by `getOrientationValue()`.

    - #### getOrientationValue

          PlotOrientationEnum getOrientationValue()

      Gets the plot orientation (horizontal or vertical).

    - #### setOrientation

          void setOrientation(org.jfree.chart.plot.PlotOrientation orientation)

      Deprecated. Replaced by `setOrientation(PlotOrientationEnum)`.

    - #### setOrientation

          void setOrientation(PlotOrientationEnum orientation)

      Sets the plot orientation (horizontal or vertical).

    - #### getBackgroundAlphaFloat

          java.lang.Float getBackgroundAlphaFloat()

      Gets the transparency factor for this plot background. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.
      Returns:
        a float value between 0 and 1.

    - #### setBackgroundAlpha

          void setBackgroundAlpha(java.lang.Float backgroundAlpha)

      Sets the transparency factor for this plot background. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

    - #### getForegroundAlphaFloat

          java.lang.Float getForegroundAlphaFloat()

      Gets the transparency factor for this plot foreground. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.
      Returns:
        a float value between 0 and 1.

    - #### setForegroundAlpha

          void setForegroundAlpha(java.lang.Float foregroundAlpha)

      Sets the transparency factor for this plot foreground. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.

    - #### getLabelRotationDouble

          java.lang.Double getLabelRotationDouble()

      Deprecated. Replaced by `JRCategoryAxisFormat.getCategoryAxisTickLabelRotation()`.
      Gets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.

    - #### setLabelRotation

          void setLabelRotation(java.lang.Double labelRotation)

      Deprecated. Replaced by `JRCategoryAxisFormat.setCategoryAxisTickLabelRotation(Double)`.
      Sets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.

    - #### getSeriesColors

          java.util.SortedSet<JRChartPlot.JRSeriesColor> getSeriesColors()

      Returns a list of all the defined series colors. Every entry in the list is of type JRChartPlot.JRSeriesColor. If there are no defined series colors this method will return an empty list, not null.

    - #### clearSeriesColors

          void clearSeriesColors()

      Removes all defined series colors.

    - #### addSeriesColor

          void addSeriesColor(JRChartPlot.JRSeriesColor seriesColor)

      Adds the specified series color to the plot.

    - #### setSeriesColors

          void setSeriesColors(java.util.Collection<JRChartPlot.JRSeriesColor> colors)

      Set the list of series colors.
      Parameters:
        `colors` - the list of series colors (`JRChartPlot.JRSeriesColor` instances}

    - #### collectExpressions

          void collectExpressions(JRExpressionCollector collector)

    - #### clone

          java.lang.Object clone(JRChart parentChart)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com